<template>
  <div class="show-categories">
    <carousel
      :perPageCustom="[[0, 3],[690, 4], [1264, 6]]"
      :navigate-to="some - local - property"
      :mouse-drag="false"
      :paginationEnabled="false"
      :navigationEnabled="true"
      :data="productsprincipalCategories"
    >
      <slide v-for="(item, index) in productsprincipalCategories" :key="index">
        <div id="slide" @mouseover="showSubCategories(item.principal_category)">
          <img :src="item.principal_icon" />
          <h1>{{ item.principal_category }}</h1>
        </div>
      </slide>
    </carousel>
  </div>
</template>

<script>
export default {
  name: "CategoriesBar",
  components: {},
  props: {
    productsprincipalCategories: Array
  },
  data() {
    return {
      categories: []
    };
  },
  mounted() {},
  methods: {
    showSubCategories(searchedCategory) {
      this.$emit("show-sub-categories", searchedCategory);
    }
  }
};
</script>

<style scoped>
img {
  height: 3vw;
  width: 3vw;
    display: block;
    margin-left: auto;
    margin-right: auto
}
h1 {
  font-size: 20px;
  font-family: "Dancing Script", cursive;
  text-transform: lowercase;
   text-align: center
}
h1:first-letter {
  font-size: 20px;
  font-family: "Dancing Script", cursive;
  text-transform: uppercase;
}

@media only screen and (max-width: 500px) {
  img {
    height: 8vw;
    width: 8vw;
  }
}
</style>
